# StackEmpty

This function determines whether any items have been pushed.

### Synopsis

    #include "petsc.h"
    PetscErrorCode StackEmpty(IntStack stack, PetscTruth *empty)

Not Collective

### Input Parameter

stack -The stack

### Output Parameter

empty -PETSC_TRUE if the stack is empty

### Keywords

log, stack, empty

### See Also

StackCreate(), StackDestroy(), StackPush(), StackPop(), StackTop()

Level:intermediate
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages